{*searchBar*}
<form n:name="searchForm">
        <div class="search-bar">
            <div class="input-group">
                <span class="input-group-text">
                    <i class="fa-solid fa-search"></i>
                </span>
                <div class="form-autocomplete-box">
                    <input class="form-control search-bar-input" n:name="text" placeholder="Zadejte hledaný výraz">
                    <div class="form-autocomplete shadow border" id="search-bar-autocomplete"></div>
                </div>
            </div>
            <button class="btn btn-success" id="search-bar-button">Hledej</button>
        </div>
    </form>
</section>
<script>
    $('document').ready(function (){
        //====================== search bar open/close  =====================
        $('.search-toogle').click(function(){
            var searchVisible = $('#search-bar').attr('data-visible');

            if(searchVisible == 'close'){
                $('#search-bar').removeClass('hidde');
                $('#search-bar').addClass('show');
                $('#search-bar').attr('data-visible','open');
            }
            if( searchVisible == 'open'){
                $('#search-bar').removeClass('show');
                $('#search-bar').addClass('hidde');
                $('#search-bar').attr('data-visible','close');
                $('.search-bar-input').val('');
                $('#search-bar-autocomplete').removeClass('show');
            }
        });

        $('.search-bar-input').keyup(function(){
            let value = $(this).val();
            let address = {$adresa};

            if (value != '' && event.keyCode !== 13){
                naja.makeRequest('POST', {link 'hledej'} , { {$control->getParameterId('text') }: value })
                .then((payload) => {

                    $('#search-bar-autocomplete').html('');

                    console.log(payload);

                    if (payload.vysledek.clanky.length !== 0){
                        let clanky = payload.vysledek.clanky;

                        $('#search-bar-autocomplete').append('<h6 class="bg-content-success text-dark p-2 mb-0">články</h6>');
                        $('#search-bar-autocomplete').append('<ul id="search-bar-clanky">');
                        for (var i=0; i < clanky.length; i++){
                            let href = "<a href='"+address+"clanek/"+clanky[i]['url']+"'><li>"+clanky[i]['nazev']+"</li></a>";
                            $('#search-bar-clanky').append(href);
                        }
                        $('#search-bar-autocomplete').append('</ul>');
                    }

                    if (payload.vysledek.stranky.length !== 0){
                        let stranky = payload.vysledek.stranky;

                        $('#search-bar-autocomplete').append('<h6 class="bg-content-success text-dark p-2 mb-0">stránky</h6>');
                        $('#search-bar-autocomplete').append('<ul id="search-bar-stranky">');
                        for (var i=0; i < stranky.length; i++){
                            let href = "<a href='"+address+"stranka/"+stranky[i]['url']+"'><li>"+stranky[i]['nazev']+"</li></a>";
                            $('#search-bar-stranky').append(href);
                        }
                        $('#search-bar-autocomplete').append('</ul>');
                    }

                    $('#search-bar-autocomplete').addClass('show');
                });
            }else{
                $('#search-bar-autocomplete').html('');
                $('#search-bar-autocomplete').removeClass('show');
            }
        });
    });

    //====================== search bar close =====================
    document.addEventListener("click", (evt) => {
        var searchVisible = $('#search-bar').attr('data-visible');

        if( searchVisible == 'open'){
            const asideElement = document.getElementById("search-bar");
            const buttonElement = document.getElementById("search-button");
            const hrefElement = document.getElementById("search-href");
            let targetElement = evt.target; // clicked element

            do {
                if (targetElement == asideElement) {
                    return;
                }
                if (targetElement == buttonElement) {

                    return;
                }
                if (targetElement == hrefElement) {

                    return;
                }
                // Go up the DOM
                targetElement = targetElement.parentNode;
            } while (targetElement);

            // This is a click outside.
            $('#search-bar').removeClass('show');
            $('#search-bar').addClass('hidde');
            $('#search-bar').attr('data-visible','close');
            $('#search-bar-input').val('');
            $('#search-bar-autocomplete').removeClass('show');
        }
    });
</script>